// $Id: CConfig.h,v 1.3 2003/04/09 10:26:45 ta_muto Exp $
// The class which manages a configuration file and execution environment.

#ifndef __wax_CConfig_h
#define __wax_CConfig_h

#include <common.h>

namespace wax {
	class CConfig {
	public:
		static bool init(const xmlChar* configPath);
		static void free();

		static const xmlChar* getDocumentRoot();
		static xmlDocPtr getConfig();
	} ;
}

#endif
